ReflectionFunctionAbstract::getNumberOfParameters
ReflectionFunctionAbstract::getParameters
ReflectionFunctionAbstract
PHP Manual

# ReflectionFunctionAbstract::getNumberOfRequiredParameters

Gets number of required parameters

### Description

public int ReflectionFunctionAbstract::getNumberOfRequiredParameters ( void )

Get the number of required parameters that a function defines.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The number of required parameters.

### See Also

- ReflectionFunctionAbstract::getNumberOfParameters